/*
 * Copyright 2017-2020 NXP
 * All rights reserved.
 *
 *
 * SPDX-License-Identifier: BSD-3-Clause
 *
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/* Define the PIO[ANAMODE] bit macro (SDK 2.6.x and older miss this bit macro definition) */
#ifndef IOCON_PIO_ANAMODE_MASK
#define IOCON_PIO_ANAMODE_MASK  (0x40U)
#define IOCON_PIO_ANAMODE_SHIFT (6U)
#define IOCON_PIO_ANAMODE(x)    (((uint32_t)(((uint32_t)(x)) << IOCON_PIO_ANAMODE_SHIFT)) & IOCON_PIO_ANAMODE_MASK)
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void); /* Function assigned for the Cortex-M4F */

#define PIO04_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO05_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO05_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO06_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO06_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO11_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO11_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_6 (coord A5), U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */
#define BOARD_SW2_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SW2_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PIO0_5 (coord E7), U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW3_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW3_GPIO_PIN_MASK (1U << 5U) /*!<@brief GPIO pin mask */
#define BOARD_SW3_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SW3_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_SW3_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PIO0_4 (coord C8), U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW4_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW4_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */
#define BOARD_SW4_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SW4_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_SW4_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PIO1_1 (coord K12), J12[12]/U29[4]/SW5/P1_1-USER_PB-USB1_OVRCURn
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW5_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW5_GPIO_PIN_MASK (1U << 1U) /*!<@brief GPIO pin mask */
#define BOARD_SW5_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SW5_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_SW5_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONs(void); /* Function assigned for the Cortex-M4F */

#define PIO22_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO22_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO314_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO314_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO33_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO33_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO3_3 (coord A13), U12[12]/P4_16-ENET_MDIO
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_ENET_MDIO_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_ENET_MDIO_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */
#define BOARD_ENET_MDIO_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_ENET_MDIO_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_ENET_MDIO_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_2 (coord C3), J9[6]/LED3/P2_2-CT1MAT1-USR_LED3
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED3_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED3_GPIO_PIN_MASK (1U << 2U) /*!<@brief GPIO pin mask */
#define BOARD_LED3_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LED3_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LED3_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                            /* @} */

/*! @name PIO3_14 (coord E3), J13[5]/LED1/P3_14-CT3MAT1-USR_LED1
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED1_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED1_GPIO_PIN_MASK (1U << 14U) /*!<@brief GPIO pin mask */
#define BOARD_LED1_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LED1_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_LED1_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void); /* Function assigned for the Cortex-M4F */

#define PIO00_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO00_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO013_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO013_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO014_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO014_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO01_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO01_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO02_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO02_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO03_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO03_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO313_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO313_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO0_1 (coord A1), J13[4]/U27[2]/P0_25-SPIFI_IO1
  @{ */
#define BOARD_SPIFI_IO1_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_IO1_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_IO1_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO0_3 (coord A10), U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1
  @{ */
#define BOARD_ISP_FC3_MOSI_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_MOSI_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC3_MOSI_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_2 (coord E9), U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0
  @{ */
#define BOARD_ISP_FC3_MISO_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_MISO_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC3_MISO_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_0 (coord D6), U26[13]/J14[4]/P0_0-ISP_FC3_SCK
  @{ */
#define BOARD_ISP_FC3_SCK_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC3_SCK_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC3_SCK_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PIO3_13 (coord H4), J14[8]/P3_13-BRIDGE_GPIO
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_BRIDGE_GPIO_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_BRIDGE_GPIO_GPIO_PIN_MASK (1U << 13U) /*!<@brief GPIO pin mask */
#define BOARD_BRIDGE_GPIO_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_BRIDGE_GPIO_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_BRIDGE_GPIO_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_13 (coord F11), JS16[2]/J14[9]/P0_13-ISP_FC1_SDAX
  @{ */
#define BOARD_ISP_FC1_SDAX_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC1_SDAX_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC1_SDAX_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO0_14 (coord E13), JS15[2]/J14[10]/P0_14-ISP_FC1_SCLX
  @{ */
#define BOARD_ISP_FC1_SCLX_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC1_SCLX_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC1_SCLX_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPMod_SPI_I2C_BRIDGE(void); /* Function assigned for the Cortex-M4F */

#define PIO323_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO324_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO34_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO34_FUNC_ALT0 0x00u         /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO3_23 (coord C2), J11[10]/J9[3]/U10[3]/J17[5]/U19[10]/P3_23-FC2_SDAX
  @{ */
#define BOARD_FC2_SDAX_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC2_SDAX_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_FC2_SDAX_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO3_24 (coord E2), J11[9]/J9[1]/U10[2]/J17[4]/U19[2]/P3_24-FC2_SCLX
  @{ */
#define BOARD_FC2_SCLX_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC2_SCLX_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_FC2_SCLX_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO3_4 (coord B11), J12[10]/U19[3]/P3_4-ACCL_INTR
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_ACCL_INTR_GPIO GPIO                /*!<@brief GPIO peripheral base pointer */
#define BOARD_ACCL_INTR_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */
#define BOARD_ACCL_INTR_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_ACCL_INTR_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_ACCL_INTR_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void); /* Function assigned for the Cortex-M4F */

#define PIO212_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO212_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */

/*! @name PIO2_12 (coord M2), U26A1[3]/P2_12-SPIFI_RSTn
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SPIFI_RSTn_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_SPIFI_RSTn_GPIO_PIN_MASK (1U << 12U) /*!<@brief GPIO pin mask */
#define BOARD_SPIFI_RSTn_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SPIFI_RSTn_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_SPIFI_RSTn_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQSPI_FLASH(void); /* Function assigned for the Cortex-M4F */

#define PIO210_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO210_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO23_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO23_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO24_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO24_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO25_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO25_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO26_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO26_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO27_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO27_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO28_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO28_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO29_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO29_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO315_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO315_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */

/*! @name PIO3_15 (coord D2), RP1[1]/U9[8]/P3_15-SD_WPn
  @{ */
#define BOARD_SD_WPn_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_WPn_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_SD_WPn_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO2_10 (coord P1), RP1[2]/U9[7]/P2_10-SD_CDn
  @{ */
#define BOARD_SD_CDn_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CDn_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_SD_CDn_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO2_8 (coord F4), RP1[3]/U9[6]/P2_8-SD_D2
  @{ */
#define BOARD_SD_D2_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D2_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_SD_D2_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PIO2_7 (coord J2), RP1[4]/U9[5]/P2_7-SD_D1
  @{ */
#define BOARD_SD_D1_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D1_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_SD_D1_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PIO2_6 (coord F3), RP1[5]/U9[4]/P2_6-SD_D0
  @{ */
#define BOARD_SD_D0_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D0_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_SD_D0_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PIO2_3 (coord B1), U9[3]/P2_3-SD_CLK
  @{ */
#define BOARD_SD_CLK_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CLK_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_SD_CLK_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO2_4 (coord D3), RP1[6]/U9[2]/P2_4-SD_CMD
  @{ */
#define BOARD_SD_CMD_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_CMD_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_SD_CMD_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO2_9 (coord K2), RP1[7]/U9[1]/P2_9-SD_D3
  @{ */
#define BOARD_SD_D3_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_D3_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_SD_D3_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name PIO2_5 (coord C1), Q3[1]/P2_5-SD_POW_EN
  @{ */
#define BOARD_SD_POW_EN_PORT 2U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_SD_POW_EN_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_SD_POW_EN_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDHC(void); /* Function assigned for the Cortex-M4F */

#define PIO015_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO015_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO015_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO018_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO018_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO019_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO019_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO020_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO020_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO021_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO021_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO02_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO02_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO03_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO03_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO04_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO04_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO05_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO05_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO06_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO06_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO07_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO07_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO08_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO08_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO09_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO09_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO110_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO110_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO111_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO111_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO112_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO112_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO113_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO113_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO114_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO114_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO115_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO115_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO116_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO116_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO119_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO119_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO120_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO120_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO121_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO121_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO123_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO123_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO124_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO124_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO125_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO125_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO126_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO126_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO127_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO127_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO128_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO128_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO129_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO129_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO130_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO130_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO131_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO131_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO14_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO14_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO15_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO15_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO16_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO16_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO17_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO17_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO18_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO18_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO19_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO19_FUNC_ALT6 0x06u         /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO325_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO325_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO3_25 (coord P9), U28[G8]/P3_25-EMC_A14
  @{ */
#define BOARD_EMC_A14_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A14_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A14_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_25 (coord M12), U28[G7]/P1_25-EMC_A13
  @{ */
#define BOARD_EMC_A13_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A13_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A13_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_24 (coord N14), U28[G1]/P1_24-EMC_A12
  @{ */
#define BOARD_EMC_A12_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A12_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A12_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_23 (coord M10), U28[G2]/P1_23-EMC_A11
  @{ */
#define BOARD_EMC_A11_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A11_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A11_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_16 (coord B7), U28[H9]/P1_16-EMC_A10
  @{ */
#define BOARD_EMC_A10_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A10_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A10_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_27 (coord F10), U28[G3]/P1_27-EMC_A9
  @{ */
#define BOARD_EMC_A9_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A9_PIN 27U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A9_PIN_MASK (1U << 27U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_26 (coord J10), U28[H1]/P1_26-EMC_A8
  @{ */
#define BOARD_EMC_A8_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A8_PIN 26U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A8_PIN_MASK (1U << 26U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_8 (coord P8), U28[H2]/P1_8-EMC_A7
  @{ */
#define BOARD_EMC_A7_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A7_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A7_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_7 (coord N1), U28[H3]/P1_7-EMC_A6
  @{ */
#define BOARD_EMC_A6_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A6_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A6_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_6 (coord G4), U28[J2]/P1_6-EMC_A5
  @{ */
#define BOARD_EMC_A5_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A5_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A5_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_5 (coord E4), U28[J3]/P1_5-EMC_A4
  @{ */
#define BOARD_EMC_A4_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A4_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A4_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_21 (coord C13), U28[J7]/P0_21-EMC_A3
  @{ */
#define BOARD_EMC_A3_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A3_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A3_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_20 (coord D13), U28[J8]/P0_20-EMC_A2
  @{ */
#define BOARD_EMC_A2_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A2_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A2_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_19 (coord C6), U28[H8]/P0_19-EMC_A1
  @{ */
#define BOARD_EMC_A1_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A1_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A1_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_18 (coord C14), U28[H7]/P0_18-EMC_A0
  @{ */
#define BOARD_EMC_A0_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_A0_PIN 18U                   /*!<@brief PORT pin number */
#define BOARD_EMC_A0_PIN_MASK (1U << 18U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_15 (coord L4), U28[F9]/P0_15-EMC_WEn
  @{ */
#define BOARD_EMC_WEn_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_WEn_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_EMC_WEn_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_9 (coord K6), U28[F7]/P1_9-EMC_CASn
  @{ */
#define BOARD_EMC_CASn_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CASn_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CASn_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_10 (coord N9), U28[F8]/P1_10-EMC_RASn
  @{ */
#define BOARD_EMC_RASn_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_RASn_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_EMC_RASn_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_12 (coord K9), U28[G9]/P1_12-EMC_DYCSn0
  @{ */
#define BOARD_EMC_DYCSn0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DYCSn0_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DYCSn0_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                   /* @} */

/*! @name PIO1_31 (coord C5), U28[A2]/RP2[1]/P1_31-EMC_D15
  @{ */
#define BOARD_EMC_D15_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D15_PIN 31U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D15_PIN_MASK (1U << 31U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_30 (coord A8), U28[B1]/RP2[2]/P1_30-EMC_D14
  @{ */
#define BOARD_EMC_D14_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D14_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D14_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_29 (coord C11), U28[B2]/RP2[3]/P1_29-EMC_D13
  @{ */
#define BOARD_EMC_D13_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D13_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D13_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_28 (coord E12), U28[C1]/RP2[4]/P1_28-EMC_D12
  @{ */
#define BOARD_EMC_D12_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D12_PIN 28U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D12_PIN_MASK (1U << 28U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_4 (coord D4), U28[C2]/RP4[1]/P1_4-EMC_D11
  @{ */
#define BOARD_EMC_D11_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D11_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D11_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_21 (coord N8), U28[D1]/RP4[2]/P1_21-EMC_D10
  @{ */
#define BOARD_EMC_D10_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D10_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D10_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_20 (coord M1), U28[D2]/RP4[3]/P1_20-EMC_D9
  @{ */
#define BOARD_EMC_D9_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D9_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D9_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO1_19 (coord L1), U28[E1]/RP4[4]/P1_19-EMC_D8
  @{ */
#define BOARD_EMC_D8_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D8_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D8_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO0_9 (coord G12), U28[E9]/RP5[1]/P0_9-EMC_D7
  @{ */
#define BOARD_EMC_D7_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D7_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D7_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_8 (coord H10), U28[D8]/RP5[2]/P0_8-EMC_D6
  @{ */
#define BOARD_EMC_D6_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D6_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D6_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_7 (coord H12), U28[D9]/RP5[3]/P0_7-EMC_D5
  @{ */
#define BOARD_EMC_D5_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D5_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D5_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_6 (coord A5), U28[C8]/RP5[4]/SW2/P0_6-ISP2/P0_6-EMC_D4
  @{ */
#define BOARD_EMC_D4_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D4_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D4_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_5 (coord E7), U28[C9]/RP3[1]/JS32[1]/SW3/P0_5-ISP1/P0_5-EMC_D3
  @{ */
#define BOARD_EMC_D3_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D3_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D3_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_4 (coord C8), U28[B8]/RP3[2]/JS32[3]/SW4/P0_4-ISP0/P0_4-EMC_D2
  @{ */
#define BOARD_EMC_D2_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D2_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D2_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_3 (coord A10), U28[B9]/RP3[3]/JS34[1]/U26[11]/J14[2]/P0_3-ISP_FC3_MOSI/P0_3-EMC_D1
  @{ */
#define BOARD_EMC_D1_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D1_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D1_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO0_2 (coord E9), U28[A8]/RP3[4]/JS35[1]/U24[11]/J14[3]/P0_2-ISP_FC3_MISO/P0_2-EMC_D0
  @{ */
#define BOARD_EMC_D0_PORT 0U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_D0_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_EMC_D0_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PIO1_14 (coord C12), U28[F1]/P1_14-EMC_DQM1
  @{ */
#define BOARD_EMC_DQM1_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM1_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DQM1_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_13 (coord G10), U28[E8]/P1_13-EMC_DQM0
  @{ */
#define BOARD_EMC_DQM0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_DQM0_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_EMC_DQM0_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_11 (coord B4), U28[F2]/P1_11-EMC_CLK0
  @{ */
#define BOARD_EMC_CLK0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CLK0_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CLK0_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO1_15 (coord A11), U28[F3]/P1_15-EMC_CKE0
  @{ */
#define BOARD_EMC_CKE0_PORT 1U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_EMC_CKE0_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_EMC_CKE0_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSDRAMPins(void); /* Function assigned for the Cortex-M4F */

#define PIO029_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO029_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO030_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO030_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO0_29 (coord B13), U24[13]/P0_29-ISP_FC0_RXD
  @{ */
#define BOARD_ISP_FC0_RXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_RXD_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_RXD_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_30 (coord A2), U24[12]/P0_30-ISP_FC0_TXD
  @{ */
#define BOARD_ISP_FC0_TXD_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_ISP_FC0_TXD_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_ISP_FC0_TXD_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void); /* Function assigned for the Cortex-M4F */

#define PIO010_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO010_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO010_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO011_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO011_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO011_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */
#define PIO012_ANAMODE_DISABLED 0x01u /*!<@brief Enables or disables analog mode.: Disable analog Mode. */
#define PIO012_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO012_FUNC_ALT6 0x06u        /*!<@brief Selects pin function.: Alternative connection 6. */

/*! @name PIO0_12 (coord M3), P1[2]/U22[4]/D5[5]/IF_SWDIO
  @{ */
#define BOARD_IF_SWDIO_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_IF_SWDIO_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_IF_SWDIO_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO0_11 (coord L3), U16[4]/SWDCLK_TRGT
  @{ */
#define BOARD_SWDCLK_TRGT_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SWDCLK_TRGT_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_SWDCLK_TRGT_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PIO0_10 (coord P2), U16[12]/SWO_TRGT
  @{ */
#define BOARD_SWO_TRGT_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_SWO_TRGT_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_SWO_TRGT_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUG(void); /* Function assigned for the Cortex-M4F */

#define PIO211_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO211_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO213_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO213_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO214_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO214_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO215_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO215_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO216_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO216_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO221_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO221_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO222_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO222_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO223_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO223_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO224_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO224_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO225_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO225_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO228_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO228_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO229_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO229_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO230_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO230_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO231_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO231_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO30_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO30_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO31_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO31_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO35_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO35_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO36_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO36_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO37_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO37_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO38_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO38_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO39_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO39_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO2_11 (coord K3), J16[31]/P2_11-LCD_PWR
  @{ */
#define BOARD_LCD_PWR_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_PWR_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_LCD_PWR_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO2_14 (coord L7), J16[33]/P2_14-LCD_FP
  @{ */
#define BOARD_LCD_FP_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_FP_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_LCD_FP_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO2_13 (coord P7), J16[30]/P2_13-LCD_DCLK
  @{ */
#define BOARD_LCD_DCLK_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_DCLK_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_LCD_DCLK_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_16 (coord L8), J16[32]/P2_16-LCD_LP
  @{ */
#define BOARD_LCD_LP_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_LP_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_LCD_LP_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PIO2_15 (coord M8), J16[34]/P2_15-LCD_AC_ENAB_M
  @{ */
#define BOARD_LCD_AC_ENAB_M_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_AC_ENAB_M_PIN 15U                   /*!<@brief PORT pin number */
#define BOARD_LCD_AC_ENAB_M_PIN_MASK (1U << 15U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO2_22 (coord K10), J16[9]/P2_22-LCD_VD4
  @{ */
#define BOARD_LCD_VD4_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD4_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD4_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO2_21 (coord L10), J16[8]/P2_21-LCD_VD3
  @{ */
#define BOARD_LCD_VD3_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD3_PIN 21U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD3_PIN_MASK (1U << 21U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO2_29 (coord G11), J16[16]/P2_29-LCD_VD11
  @{ */
#define BOARD_LCD_VD11_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD11_PIN 29U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD11_PIN_MASK (1U << 29U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_25 (coord J11), J16[12]/P2_25-LCD_VD7
  @{ */
#define BOARD_LCD_VD7_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD7_PIN 25U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD7_PIN_MASK (1U << 25U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO2_30 (coord F12), J16[17]/P2_30-LCD_VD12
  @{ */
#define BOARD_LCD_VD12_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD12_PIN 30U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD12_PIN_MASK (1U << 30U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_28 (coord G13), J16[15]/P2_28-LCD_VD10
  @{ */
#define BOARD_LCD_VD10_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD10_PIN 28U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD10_PIN_MASK (1U << 28U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_31 (coord D14), J16[18]/P2_31-LCD_VD13
  @{ */
#define BOARD_LCD_VD13_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD13_PIN 31U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD13_PIN_MASK (1U << 31U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PIO2_24 (coord K14), J16[11]/P2_24-LCD_VD6
  @{ */
#define BOARD_LCD_VD6_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD6_PIN 24U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD6_PIN_MASK (1U << 24U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO2_23 (coord M14), J16[10]/P2_23-LCD_VD5
  @{ */
#define BOARD_LCD_VD5_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD5_PIN 23U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD5_PIN_MASK (1U << 23U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_0 (coord D12), J16[19]/JS36[1]/P3_0-LCD_VD14
  @{ */
#define BOARD_LCD_VD14_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD14_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD14_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_1 (coord D11), J16[20]/JS33[1]/P3_1-LCD_VD15
  @{ */
#define BOARD_LCD_VD15_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD15_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD15_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_5 (coord B10), J16[24]/P3_5-LCD_VD19
  @{ */
#define BOARD_LCD_VD19_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD19_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD19_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_6 (coord C9), J16[25]/P3_6-LCD_VD20
  @{ */
#define BOARD_LCD_VD20_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD20_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD20_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_7 (coord B8), J16[26]/P3_7-LCD_VD21
  @{ */
#define BOARD_LCD_VD21_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD21_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD21_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_8 (coord A7), J16[27]/P3_8-LCD_VD22
  @{ */
#define BOARD_LCD_VD22_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD22_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD22_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO3_9 (coord C7), J16[28]/P3_9-LCD_VD23
  @{ */
#define BOARD_LCD_VD23_PORT 3U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_VD23_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_LCD_VD23_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLCD(void); /* Function assigned for the Cortex-M4F */

#define PIO017_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO017_FUNC_ALT7 0x07u        /*!<@brief Selects pin function.: Alternative connection 7. */
#define PIO226_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO226_FUNC_ALT0 0x00u        /*!<@brief Selects pin function.: Alternative connection 0. */
#define PIO410_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO410_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO411_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO411_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO412_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO412_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO413_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO413_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO414_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO414_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO48_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO48_FUNC_ALT1 0x01u         /*!<@brief Selects pin function.: Alternative connection 1. */

/*! @name PIO4_8 (coord B14), U12[17]/JP11[1]/P4_8-ENET_TXD0
  @{ */
#define BOARD_INITENET_ENET_TXD0_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_TXD0_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_TXD0_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                                          /* @} */

/*! @name PIO0_17 (coord E14), U12[18]/P0_17-ENET_TXD1
  @{ */
#define BOARD_INITENET_ENET_TXD1_PORT 0U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_TXD1_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_TXD1_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO4_13 (coord B6), U12[16]/P4_13-ENET_TX_EN
  @{ */
#define BOARD_INITENET_ENET_TX_EN_PORT 4U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_TX_EN_PIN 13U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_TX_EN_PIN_MASK (1U << 13U)      /*!<@brief PORT pin mask */
                                                            /* @} */

/*! @name PIO4_11 (coord A9), U12[8]/JP12[1]/J3[4]/JP12[3]/P4_11-USB0_ID/P4_11-ENET_RXD0
  @{ */
#define BOARD_INITENET_ENET_RXD0_PORT 4U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_RXD0_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_RXD0_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO4_12 (coord A6), U12[7]/P4_12-ENET_RXD1
  @{ */
#define BOARD_INITENET_ENET_RXD1_PORT 4U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_RXD1_PIN 12U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_RXD1_PIN_MASK (1U << 12U)      /*!<@brief PORT pin mask */
                                                           /* @} */

/*! @name PIO4_10 (coord B9), U12[11]/P4_10-ENET_CRS_DV
  @{ */
#define BOARD_INITENET_ENET_CRS_DV_PORT 4U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_CRS_DV_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_CRS_DV_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                             /* @} */

/*! @name PIO2_26 (coord H11), U12[15]/P2_26-ENET_PHY_RSTn
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITENET_ENET_PHY_RSTn_GPIO GPIO                 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITENET_ENET_PHY_RSTn_GPIO_PIN_MASK (1U << 26U) /*!<@brief GPIO pin mask */
#define BOARD_INITENET_ENET_PHY_RSTn_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_PHY_RSTn_PIN 26U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_PHY_RSTn_PIN_MASK (1U << 26U)      /*!<@brief PORT pin mask */
                                                               /* @} */

/*! @name PIO4_14 (coord B5), JS18[2]/P4_14-ENET_RX_CLK
  @{ */
#define BOARD_INITENET_ENET_RX_CLK_PORT 4U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_INITENET_ENET_RX_CLK_PIN 14U                   /*!<@brief PORT pin number */
#define BOARD_INITENET_ENET_RX_CLK_PIN_MASK (1U << 14U)      /*!<@brief PORT pin mask */
                                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitENET(void); /* Function assigned for the Cortex-M4F */

#define PIO12_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO12_FUNC_ALT5 0x05u        /*!<@brief Selects pin function.: Alternative connection 5. */
#define PIO13_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO13_FUNC_ALT5 0x05u        /*!<@brief Selects pin function.: Alternative connection 5. */

/*! @name PIO1_2 (coord L14), J13[18]/JS25[3]/DMIC1[4]/P1_2-PDM1_CLK
  @{ */
#define BOARD_PDM1_CLK_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_PDM1_CLK_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_PDM1_CLK_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PIO1_3 (coord J13), JS26[3]/DMIC1[1]/P1_3-PDM1_DATA
  @{ */
#define BOARD_PDM1_DATA_PORT 1U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_PDM1_DATA_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_PDM1_DATA_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDMIC(void); /* Function assigned for the Cortex-M4F */

#define PIO218_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO218_FUNC_ALT3 0x03u        /*!<@brief Selects pin function.: Alternative connection 3. */
#define PIO219_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO219_FUNC_ALT3 0x03u        /*!<@brief Selects pin function.: Alternative connection 3. */
#define PIO220_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO220_FUNC_ALT2 0x02u        /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO311_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO311_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO323_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO323_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO324_DIGIMODE_DIGITAL 0x01u /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO324_FUNC_ALT1 0x01u        /*!<@brief Selects pin function.: Alternative connection 1. */
#define PIO41_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO41_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO42_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO42_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */
#define PIO43_DIGIMODE_DIGITAL 0x01u  /*!<@brief Select Analog/Digital mode.: Digital mode. */
#define PIO43_FUNC_ALT2 0x02u         /*!<@brief Selects pin function.: Alternative connection 2. */

/*! @name PIO4_1 (coord G14), U10[29]/J9[14]/P4_1-FC6_I2S_TX_SCK
  @{ */
#define BOARD_FC6_I2S_TX_SCK_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_SCK_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_FC6_I2S_TX_SCK_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO4_3 (coord F13), U10[30]/J9[12]/P4_3-FC6_I2S_TX_WS
  @{ */
#define BOARD_FC6_I2S_TX_WS_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_WS_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_FC6_I2S_TX_WS_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PIO4_2 (coord F14), U10[32]/J9[10]/P4_2-FC6_I2S_TX_DATA
  @{ */
#define BOARD_FC6_I2S_TX_DATA_PORT 4U                  /*!<@brief PORT peripheral base pointer */
#define BOARD_FC6_I2S_TX_DATA_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_FC6_I2S_TX_DATA_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PIO2_19 (coord P12), U10[31]/J9[20]/P2_19-FC7_I2S_RX_DAT
  @{ */
#define BOARD_FC7_I2S_RX_DAT_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_DAT_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_FC7_I2S_RX_DAT_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PIO2_18 (coord N10), U10[29]/J9[16]/P2_18-FC7_I2S_RX_SCK
  @{ */
#define BOARD_FC7_I2S_RX_SCK_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_SCK_PIN 18U                   /*!<@brief PORT pin number */
#define BOARD_FC7_I2S_RX_SCK_PIN_MASK (1U << 18U)      /*!<@brief PORT pin mask */
                                                       /* @} */

/*! @name PIO2_20 (coord P13), U10[30]/J9[18]/P2_20-FC7_I2S_RX_WS
  @{ */
#define BOARD_FC7_I2S_RX_WS_PORT 2U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_FC7_I2S_RX_WS_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_FC7_I2S_RX_WS_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PIO3_11 (coord B2), J11[8]/J12[7]/P3_11-MCLK-PMOD2_GPIO
  @{ */
#define BOARD_MCLK_PORT 3U                   /*!<@brief PORT peripheral base pointer */
#define BOARD_MCLK_PIN 11U                   /*!<@brief PORT pin number */
#define BOARD_MCLK_PIN_MASK (1U << 11U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitI2S(void); /* Function assigned for the Cortex-M4F */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
